// LineImage.h: the interface of the CLineImage class   
//
// This software can be offered for free and used as necessary to aid 
// in your program developments.
//
// RENESAS TECHNOLOGY CORPORATION, RENESAS SOLUTIONS CORPORATION,
// and related original software developers assume no responsibility 
// for any damage or infringement of any third-party's rights, originating 
// in the use of the following software.
// Please use this software under the agreement and acceptance of these conditions. 
//
// Copyright(C)1998(2003) RENESAS TECHNOLOGY CORPORATION AND RENESAS SOLUTIONS CORPORATION
// ALL RIGHTS RESERVED
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_LINEIMAGE_H__0522F0C4_1D54_11D2_AEFD_00C04FD601E8__INCLUDED_)
#define AFX_LINEIMAGE_H__0522F0C4_1D54_11D2_AEFD_00C04FD601E8__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include <afx.h>

#include "defining.h"

class CLineImage : public CObject  
{
public:
	CLineImage();
	virtual ~CLineImage();
//////////////Data preservation for/////////////////////////////////////////////   

private: static BYTE s_byteBody[PAGE_SIZE];

		 //The data of the previous time causes to be returned.  
public: void BackData(void);

		 //I preserve data.  
public: void KeepData(void);

/////////////////////////////////////////////////////////////////////////
	
	//The data and access function of a line   
private: BYTE m_byteBody[PAGE_SIZE];
public: BOOL SetBody(BYTE* byteBody, int nAddress, int nLength);
public: void GetBody(BYTE* byteBody);

	// Clear page.
public: void ClearPage(void);

};

#endif // !defined(AFX_LINEIMAGE_H__0522F0C4_1D54_11D2_AEFD_00C04FD601E8__INCLUDED_)
