// M16CflshDlg.h: the header file   
//
// This software can be offered for free and used as necessary to aid 
// in your program developments.
//
// RENESAS TECHNOLOGY CORPORATION, RENESAS SOLUTIONS CORPORATION,
// and related original software developers assume no responsibility 
// for any damage or infringement of any third-party's rights, originating 
// in the use of the following software.
// Please use this software under the agreement and acceptance of these conditions. 
//
// Copyright(C)1998(2003) RENESAS TECHNOLOGY CORPORATION AND RENESAS SOLUTIONS CORPORATION
// ALL RIGHTS RESERVED
//

#if !defined(AFX_M16CFLSHDLG_H__0A9FB307_1726_11D2_B2D1_00C04FCA7493__INCLUDED_)
#define AFX_M16CFLSHDLG_H__0A9FB307_1726_11D2_B2D1_00C04FCA7493__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CM16CflshDlg dialog

class CM16CflshDlg : public CDialog
{
//Construction   
public:
	CM16CflshDlg(CWnd* pParent = NULL);	// Standard constractor   

// Dialog Data
	//{{AFX_DATA(CM16CflshDlg)
	enum { IDD = IDD_M16CFLSH_DIALOG };
	CString	m_str_VDC;
	//}}AFX_DATA

	// ClassWizard generates the override of the hypothesis function.  
	//{{AFX_VIRTUAL(CM16CflshDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// Support of DDX/DDV   
	//}}AFX_VIRTUAL

// Implementation   
protected:
	HICON m_hIcon;

	// Message map function that was generated   
	//{{AFX_MSG(CM16CflshDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonErase();
	virtual void OnCancel();
	afx_msg void OnButtonLoad();
	afx_msg void OnButtonBlank();
	afx_msg void OnButtonRead();
	afx_msg void OnButtonProgram();
	afx_msg void OnButtonSetting();
	afx_msg void OnButtonBpr();
	afx_msg void OnButtonStates();
	afx_msg void OnButtonEpr();
	afx_msg void OnButtonDownload();
	afx_msg void OnButtonVersion();
	afx_msg void Onexitprg();
	afx_msg void OnButtonVdcOff();
	afx_msg void OnButtonCEpr();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

///////////////////////////////////////////////////////////////////////////////////////////////
public: const HANDLE GetMutex(void) { return ((CM16CflshApp*)AfxGetApp())->GetMutex(); }
// The serial communication object.  
private: CSerialComm& GetSerialComm(void){ return ((CM16CflshApp*)AfxGetApp())->GetSerialComm(); }

// Access function for the flag for the ID check   
public: void SetAcceptedID(BOOL bID) { ((CM16CflshApp*)AfxGetApp())->SetAcceptedID(bID); }
public: const BOOL GetAcceptedID(void) { return ((CM16CflshApp*)AfxGetApp())->GetAcceptedID(); }

// Flag and access function for the communication check   
public: void SetAcceptedComm(BOOL bComm) { ((CM16CflshApp*)AfxGetApp())->SetAcceptedComm(bComm); }
public: const BOOL GetAcceptedComm(void) { return ((CM16CflshApp*)AfxGetApp())->GetAcceptedComm(); }
// Get Flash Type.
public: const BOOL GetFlashType(void) { return ((CM16CflshApp*)AfxGetApp())->GetFlashType(); }
// Get Flash Type.
public: const BYTE baudrateToSendStyle(DWORD dwBaudrate){ return ((CM16CflshApp*)AfxGetApp())->baudrateToSendStyle(dwBaudrate);}

// Processing at communication error   B
protected: void CommError(void) { ((CM16CflshApp*)AfxGetApp())->CommError(); }

	// Check whether the communication is passing.  
//private: BOOL checkComm(void);
public: BOOL checkComm(void);
	// Check whether the communication is passing.  
private: BOOL checkComm_out(void);
	// Check whether you may push a button. 
private: BOOL checkPush(void);

};

//{{AFX_INSERT_LOCATION}}
//Microsoft Developer Studio inserts the declaration of addition immediately before the front line.  

#endif // !defined(AFX_M16CFLSHDLG_H__0A9FB307_1726_11D2_B2D1_00C04FCA7493__INCLUDED_)
