// PreWriteDlg.cpp : Implementation file   
//
// This software can be offered for free and used as necessary to aid 
// in your program developments.
//
// RENESAS TECHNOLOGY CORPORATION, RENESAS SOLUTIONS CORPORATION,
// and related original software developers assume no responsibility 
// for any damage or infringement of any third-party's rights, originating 
// in the use of the following software.
// Please use this software under the agreement and acceptance of these conditions. 
//
// Copyright(C)1998(2003) RENESAS TECHNOLOGY CORPORATION AND RENESAS SOLUTIONS CORPORATION
// ALL RIGHTS RESERVED
//

#include "stdafx.h"
#include "M16Cflsh.h"
#include "PreWriteDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPreWriteDlg dialog

CPreWriteDlg::CPreWriteDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CPreWriteDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CPreWriteDlg)
	m_strEndAddress = _T("");
	m_strStartAddress = _T("");
	//}}AFX_DATA_INIT
}


void CPreWriteDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPreWriteDlg)
	DDX_Text(pDX, IDC_EDIT_END_ADDRESS, m_strEndAddress);
	DDX_Text(pDX, IDC_EDIT_START_ADDRESS, m_strStartAddress);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CPreWriteDlg, CDialog)
	//{{AFX_MSG_MAP(CPreWriteDlg)
		// Memo - ClassWizard adds the macro for mapping to this position or eliminate.  
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////

void CPreWriteDlg::SetAddress(CString strStart, CString strEnd)
{
	m_strStartAddress = strStart;
	m_strEndAddress = strEnd;
}

/////////////////////////////////////////////////////////////////////////////
// CPreWriteDlg Message handle 

