// Command.h: the interface of the CCommand class
//
// This software can be offered for free and used as necessary to aid 
// in your program developments.
//
// RENESAS TECHNOLOGY CORPORATION, RENESAS SOLUTIONS CORPORATION,
// and related original software developers assume no responsibility 
// for any damage or infringement of any third-party's rights, originating 
// in the use of the following software.
// Please use this software under the agreement and acceptance of these conditions. 
//
// Copyright(C)1998(2003) RENESAS TECHNOLOGY CORPORATION AND RENESAS SOLUTIONS CORPORATION
// ALL RIGHTS RESERVED
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_COMMAND_H__D13E4D44_17E0_11D2_B2D1_00C04FCA7493__INCLUDED_)
#define AFX_COMMAND_H__D13E4D44_17E0_11D2_B2D1_00C04FCA7493__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "M16Cflsh.h"		// it is the application main class

class CCommand  
{
public:
	CCommand();
	virtual ~CCommand();

//////////// Later added minute /////////////////////////////////////////////
	// It makes the letter line that shows the hexadecimal number the int style.
protected: int AToHex(TCHAR* chHex);

	// I check whether the communication is passing.
protected: BOOL CheckComm(CSerialComm* pComObj);

	// I check status.
protected: BOOL CheckState(CSerialComm* pComObj, CString strMode);

/////////////////////////////////////////////////////////////////////////////
// It is the serial communication object.
protected: CSerialComm& GetSerialComm(void){ return ((CM16CflshApp*)AfxGetApp())->GetSerialComm(); }

// It is the processing at the time of the communication error.
protected: void CommError(void) { ((CM16CflshApp*)AfxGetApp())->CommError(); }

// A Hex file transformation object.
public: CLineImage* GetPage(BYTE* byteData, int nPage) { return ((CM16CflshApp*)AfxGetApp())->GetPage(byteData, nPage); }

// The flag and access function for the communication check
protected: void SetAcceptedComm(BOOL bComm) { ((CM16CflshApp*)AfxGetApp())->SetAcceptedComm(bComm); }

// The flag and access function for an/the ID check
protected: void SetAcceptedID(BOOL bID) { ((CM16CflshApp*)AfxGetApp())->SetAcceptedID(bID); }

};

#endif // !defined(AFX_COMMAND_H__D13E4D44_17E0_11D2_B2D1_00C04FCA7493__INCLUDED_)

