#if !defined(AFX_PRGSSDLG_H__426118A4_A391_11D1_B2D1_00C04FCA7493__INCLUDED_)
#define AFX_PRGSSDLG_H__426118A4_A391_11D1_B2D1_00C04FCA7493__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// PrgssDlg.h : Header file   
//

//#include "baseDlg.h"
// This software can be offered for free and used as necessary to aid 
// in your program developments.
//
// RENESAS TECHNOLOGY CORPORATION, RENESAS SOLUTIONS CORPORATION,
// and related original software developers assume no responsibility 
// for any damage or infringement of any third-party's rights, originating 
// in the use of the following software.
// Please use this software under the agreement and acceptance of these conditions. 
//
// Copyright(C)1998(2003) RENESAS TECHNOLOGY CORPORATION AND RENESAS SOLUTIONS CORPORATION
// ALL RIGHTS RESERVED
//
/////////////////////////////////////////////////////////////////////////////
// CProgressDlg dialog
//class CProgressDlg : public CBaseDlg
class CProgressDlg : public CDialog
{
// Construction   
// Create() are private, becouse  CProgressDlg::Instance() conduct the preparation of the object.  
private:CProgressDlg(CWnd* pParent = NULL);   // Standard constractor   
private:BOOL Create(UINT nIDTemplate, CWnd* pParentWnd = NULL)
			{ return CDialog::Create(nIDTemplate, pParentWnd); }

// Dialog data   
	//{{AFX_DATA(CProgressDlg)
	enum { IDD = IDD_PROGRESS };
	CProgressCtrl	m_ctlProgress;
	CString	m_strMessage;
	//}}AFX_DATA


// override
	// ClassWizard generates the override of the hypothesis function.  

	//{{AFX_VIRTUAL(CProgressDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support   
	virtual void PostNcDestroy();
	//}}AFX_VIRTUAL

// Implementation   
protected:

	// Message map function that was generated   
	//{{AFX_MSG(CProgressDlg)
	virtual void OnCancel();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

////// CProgress does not become that it is generated as model.  
private: virtual int DoModal(){ ASSERT(FALSE); return -1; }

/////////////////////////////////////////////////////////////////////////////
// An input data inspection.  
private: BOOL	verify(){ return TRUE; }	// Input data does not exist.  

/////////////////////////////////////////////////////////////////////////////
// oϐB
private: CWnd*	m_pParentWnd;
private: BOOL	m_bOldEnableState;		// The condition of before which EnableWindow () is called.  

private: BOOL*	m_pbCancel;				//Such a pointer where notifies to the caller that.  Cancel button was pushed   
private: void	notifyCancel() { *m_pbCancel = TRUE; }	// Calling that did Cancel I notify it to the caller.  

/////////////////////////////////////////////////////////////////////////////
// It interfaces for object preparation.  
public: static CProgressDlg* Instance(BOOL* bpCancel, CWnd* pParentWnd = NULL);

/////////////////////////////////////////////////////////////////////////////
// Interfacing.  
public: CWnd* GetParentWnd() { ASSERT(m_pParentWnd != NULL); return m_pParentWnd; }

// Dialog initialization.  
public: void InitialDialog(const CString& strMessage, const CString& strTitle,
							int	nLower = 0, int nUpper = 100, int nPos = 0);

// Dialog processing end.  
public: void Done();

// Progress bar operation.  
public: void SetProgressPos(int nPos);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio inserts the declaration of addition immediately before the front line.  

#endif // !defined(AFX_PRGSSDLG_H__426118A4_A391_11D1_B2D1_00C04FCA7493__INCLUDED_)
