#if !defined(AFX_SELECTDLG_H__F7133424_4018_11D3_9B2E_00E0290B9DF8__INCLUDED_)
#define AFX_SELECTDLG_H__F7133424_4018_11D3_9B2E_00E0290B9DF8__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
#include "CheckMemorryCmd.h"

// IDCheckDlg.h : ahedder file
//
// This software can be offered for free and used as necessary to aid 
// in your program developments.
//
// RENESAS TECHNOLOGY CORPORATION, RENESAS SOLUTIONS CORPORATION,
// and related original software developers assume no responsibility 
// for any damage or infringement of any third-party's rights, originating 
// in the use of the following software.
// Please use this software under the agreement and acceptance of these conditions. 
//
// Copyright(C)1998(2003) RENESAS TECHNOLOGY CORPORATION AND RENESAS SOLUTIONS CORPORATION
// ALL RIGHTS RESERVED
//

// for file filter
#define	FS_INTEL			_T("Intel Hex File (*.hex)|*.hex|")
#define	FS_MOT				_T("Motlora Hex File (*.s;*.mot;*.s2)|*.s;*.mot;*.s2|")
#define	FS_BOOT				_T("Boot Program (*.btp)|*.btp|")
#define FS_ALLFILES			_T("All Files (*.*)|*.*|")

/////////////////////////////////////////////////////////////////////////////
// CSelectDlg dialog
class CSelectDlg : public CDialog
{
// construction
public:
	CSelectDlg(CWnd* pParent = NULL);   // W̃RXgN^

// Dialog data
	//{{AFX_DATA(CSelectDlg)
	enum { IDD = IDD_SELECT_DIALOG };
	CString	m_strFilename;
	//}}AFX_DATA


// Override
	// ClassWizard generates the override of the hypothesis function.

	//{{AFX_VIRTUAL(CSelectDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV T|[g
	//}}AFX_VIRTUAL

// Implementation 
protected:

	// The message map function that was generated.
	//{{AFX_MSG(CSelectDlg)
	afx_msg void OnButtonReffer();
	virtual void OnOK();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
	//  The data of 1 column is transformed.
private: BYTE charToByte(TCHAR chHex);

	//  The data of 1 byte is transformed.
public: BOOL strToByte(BYTE* byteHex, CString strHex);

private: void GetAddressOnly(unsigned int* nStartAddress, unsigned int* nEndAddress);

// I check whether ID passed.
private: int checkID(void);


// It is the serial communication object.
protected: CSerialComm& GetSerialComm(void){ return ((CM16CflshApp*)AfxGetApp())->GetSerialComm(); }

// The Hex file transformation object.
public: BOOL MakeImage(CString strFilePath) { return ((CM16CflshApp*)AfxGetApp())->MakeImage(strFilePath); }
public: CLineImage* GetPage(BYTE* byteData, int nPage) { return ((CM16CflshApp*)AfxGetApp())->GetPage(byteData, nPage); }

// The access function for the flag for the ID check.
public: void SetAcceptedID(BOOL bID) { ((CM16CflshApp*)AfxGetApp())->SetAcceptedID(bID); }
public: const BOOL GetAcceptedID(void) { return ((CM16CflshApp*)AfxGetApp())->GetAcceptedID(); }

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio inserts the declaration of addition immediately before the front line.

#endif // !defined(AFX_SELECTDLG_H__F7133424_4018_11D3_9B2E_00E0290B9DF8__INCLUDED_)
