// SetAddressDlg.cpp : Implementation.
//
// This software can be offered for free and used as necessary to aid 
// in your program developments.
//
// RENESAS TECHNOLOGY CORPORATION, RENESAS SOLUTIONS CORPORATION,
// and related original software developers assume no responsibility 
// for any damage or infringement of any third-party's rights, originating 
// in the use of the following software.
// Please use this software under the agreement and acceptance of these conditions. 
//
// Copyright(C)1998(2003) RENESAS TECHNOLOGY CORPORATION AND RENESAS SOLUTIONS CORPORATION
// ALL RIGHTS RESERVED
//
#include "stdafx.h"
#include "M16Cflsh.h"
#include "SetAddressDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSetAddressDlg dialog

/////////// intialize //////////////////////////////////////////////

CString CSetAddressDlg::s_strStartAddress = "0C0000";
CString CSetAddressDlg::s_strEndAddress = "0FFFFF";

//////////////////////////////////////////////////////////////////////////////

CSetAddressDlg::CSetAddressDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSetAddressDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSetAddressDlg)
	m_strEndAddress = _T("");
	m_strStartAddress = _T("");
	//}}AFX_DATA_INIT

	BackData();
}


void CSetAddressDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSetAddressDlg)
	DDX_Text(pDX, IDC_EDIT_ADDRESS__END, m_strEndAddress);
	DDX_Text(pDX, IDC_EDIT_ADDRESS_START, m_strStartAddress);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSetAddressDlg, CDialog)
	//{{AFX_MSG_MAP(CSetAddressDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////

	// restore input data.
void CSetAddressDlg::BackData(void)
{
	m_strStartAddress = s_strStartAddress;
	m_strEndAddress = s_strEndAddress;
}

	// keep input data.
void CSetAddressDlg::KeepData(void)
{
	s_strStartAddress = m_strStartAddress;
	s_strEndAddress = m_strEndAddress;
}

	// get input address.
BOOL CSetAddressDlg::GetAddress(CString* strAddress, CString strMode)
{
	// judge start/end address.
	CString strStOrEnd;
	if("start" == strMode)
	{
		strStOrEnd = m_strStartAddress;
	}
	else if("end" == strMode)
	{
		strStOrEnd = m_strEndAddress;
	}

	// check empty input.
	if(strStOrEnd.IsEmpty())
	{
		return FALSE;
	}

	// return input string.
	*strAddress = strStOrEnd;
	return TRUE;
}

	// set show data.
void CSetAddressDlg::SetEdit(CString strStart, CString strEnd)
{
	m_strStartAddress = strStart;
	m_strEndAddress = strEnd;
}

/////////////////////////////////////////////////////////////////////////////
// CSetAddressDlg message handler.

void CSetAddressDlg::OnOK() 
{
	// TODO:
	UpdateData(TRUE);
	KeepData();
	
	CDialog::OnOK();
}
