#if !defined(AFX_SETADDRESSDLG_H__C8D448A4_1AF9_11D2_AEFD_00C04FD601E8__INCLUDED_)
#define AFX_SETADDRESSDLG_H__C8D448A4_1AF9_11D2_AEFD_00C04FD601E8__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// SetAddressDlg.h : header
//
// This software can be offered for free and used as necessary to aid 
// in your program developments.
//
// RENESAS TECHNOLOGY CORPORATION, RENESAS SOLUTIONS CORPORATION,
// and related original software developers assume no responsibility 
// for any damage or infringement of any third-party's rights, originating 
// in the use of the following software.
// Please use this software under the agreement and acceptance of these conditions. 
//
// Copyright(C)1998(2003) RENESAS TECHNOLOGY CORPORATION AND RENESAS SOLUTIONS CORPORATION
// ALL RIGHTS RESERVED
//
/////////////////////////////////////////////////////////////////////////////
// CSetAddressDlg dialog

class CSetAddressDlg : public CDialog
{
// construction.
public:
	CSetAddressDlg(CWnd* pParent = NULL);  

	//{{AFX_DATA(CSetAddressDlg)
	enum { IDD = IDD_SET_ADDRESS_DIALOG };
	CString	m_strEndAddress;
	CString	m_strStartAddress;
	//}}AFX_DATA


	//{{AFX_VIRTUAL(CSetAddressDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV
	//}}AFX_VIRTUAL

// Implementation.
protected:

	// message map.
	//{{AFX_MSG(CSetAddressDlg)
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

//////////////////// Save dialog input data. ///////////////////////////////////////////

private: static CString s_strStartAddress;
private: static CString s_strEndAddress;

	// restore input data.
protected: void BackData(void);

	// keep input data.
protected: void KeepData(void);


public: BOOL GetAddress(CString* strAddress, CString strMode);

	// Set show data.
public: void SetEdit(CString strStart, CString strEnd);

};

//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_SETADDRESSDLG_H__C8D448A4_1AF9_11D2_AEFD_00C04FD601E8__INCLUDED_)
