#if !defined(AFX_SETCOMMDLG_H__7CB34424_22D4_11D2_AEFD_00C04FD601E8__INCLUDED_)
#define AFX_SETCOMMDLG_H__7CB34424_22D4_11D2_AEFD_00C04FD601E8__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// SetCommDlg.h : header.
//
// This software can be offered for free and used as necessary to aid 
// in your program developments.
//
// RENESAS TECHNOLOGY CORPORATION, RENESAS SOLUTIONS CORPORATION,
// and related original software developers assume no responsibility 
// for any damage or infringement of any third-party's rights, originating 
// in the use of the following software.
// Please use this software under the agreement and acceptance of these conditions. 
//
// Copyright(C)1998(2003) RENESAS TECHNOLOGY CORPORATION AND RENESAS SOLUTIONS CORPORATION
// ALL RIGHTS RESERVED
//
/////////////////////////////////////////////////////////////////////////////
// CSetCommDlg dialog

class CSetCommDlg : public CDialog
{
// consturtion
public:
	CSetCommDlg(CWnd* pParent = NULL); 

	//{{AFX_DATA(CSetCommDlg)
	enum { IDD = IDD_SETCOMM };
	CString	m_strBaundRate;
	CString	m_strIntervals;
	//}}AFX_DATA


	//{{AFX_VIRTUAL(CSetCommDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV
	//}}AFX_VIRTUAL

// Implementation.
protected:

	// message map.
	//{{AFX_MSG(CSetCommDlg)
	virtual void OnOK();
	afx_msg void OnCloseupComboBaundRate();
	afx_msg void OnCloseupComboIntavals();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
private: static DWORD s_strIntervals;
	// keep input string.
protected: BOOL KeepIntervals(void);
	// restore input data
protected: void BackIntervals(void);
	// make show string.
public: BOOL SetDispOut(DWORD dwBaudRate, BYTE btByte, BYTE btStopBits, BYTE btParity);

	// make show string.
public: void SetIntervals(DWORD dwIntervals);

	// get communication setting.
public: BOOL GetSetting(DWORD* dwBaudRate, BYTE* btByte, BYTE* btStopBits, BYTE* btParity);
	// get communication setting.
public: BOOL GetIntervals(DWORD* dwIntervals);
};

//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_SETCOMMDLG_H__7CB34424_22D4_11D2_AEFD_00C04FD601E8__INCLUDED_)
