// StatesCmd.cpp: CStatesCmd Implementation.
//
// This software can be offered for free and used as necessary to aid 
// in your program developments.
//
// RENESAS TECHNOLOGY CORPORATION, RENESAS SOLUTIONS CORPORATION,
// and related original software developers assume no responsibility 
// for any damage or infringement of any third-party's rights, originating 
// in the use of the following software.
// Please use this software under the agreement and acceptance of these conditions. 
//
// Copyright(C)1998(2003) RENESAS TECHNOLOGY CORPORATION AND RENESAS SOLUTIONS CORPORATION
// ALL RIGHTS RESERVED
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "M16Cflsh.h"
#include "StatesDlg.h"
#include "StatesCmd.h"
#include "SettingCmd.h"
#include "SaveIni.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction.
//////////////////////////////////////////////////////////////////////

CStatesCmd::CStatesCmd()
{

}

CStatesCmd::~CStatesCmd()
{

}

//////////////////////////////////////////////////////////////////////

CStatesCmd::exec(void)
{
	// Get communication object.
	CSerialComm& comObj = GetSerialComm();

	// Get result.
	BYTE send = 0x70;
	BYTE btSRD[2];
	comObj.Write(&send, 1);
	if(!comObj.Read(btSRD, 2))
	{
		CommError();
		return FALSE;
	}

	// show status.
	CStatesDlg dlg;
	dlg.SetStates(btSRD[0], btSRD[1]);
	dlg.DoModal();

	return TRUE;
}